## org.eclipse.jet.compiler
Class TextElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.TextElement

Deprecated. Since 0.8.0, use `TextElement`

    public final class TextElement

extends JET2ASTElement

Define a Text Element in the JET2 AST

Constructor Summary
`TextElement(org.eclipse.jet.compiler.JET2AST jet2ast, TextElement element)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`org.eclipse.jet.internal.parser.LineInfo[]` `getLines()` Deprecated.
`char[]` `getRawText()` Deprecated.
`char[]` `getText()` Deprecated. Return the text content
`boolean` `isTrimFirstLine()` Deprecated.
`boolean` `isTrimLastLine()` Deprecated.
`void` `setTrimFirstLine(boolean trim)` Deprecated.
`void` `setTrimLastLine(boolean trim)` Deprecated.

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextElement

    public TextElement(org.eclipse.jet.compiler.JET2AST jet2ast,
                       TextElement element)

  Deprecated.

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

### getText

    public char[] getText()

  Deprecated.
  Return the text content

  Returns:
    the text

### getRawText

    public char[] getRawText()

  Deprecated.

### setTrimLastLine

    public void setTrimLastLine(boolean trim)

  Deprecated.

### isTrimLastLine

    public final boolean isTrimLastLine()

  Deprecated.
  Returns:
    Returns the trimLastLine.

### setTrimFirstLine

    public void setTrimFirstLine(boolean trim)

  Deprecated.

### isTrimFirstLine

    public final boolean isTrimFirstLine()

  Deprecated.
  Returns:
    Returns the trimFirstLine.

### getLines

    public final org.eclipse.jet.internal.parser.LineInfo[] getLines()

  Deprecated.
  Returns:
    Returns the lines.

Copyright 2006 IBM Corporation and others. All Rights Reserved.